Уязвимость BDU:2020-00305

Дата: 28.12.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-00305.

Наименование уязвимости: Уязвимость функций ext4_put_super, dump_orphan_list ядра операционной системы Linux, позволяющая нарушителю оказать воздействие на конфиденциальность, целостность и доступность защищаемой информации.

Описание уязвимости: Уязвимость функций ext4_put_super (fs/ext4/super.c), dump_orphan_list (fs/ext4/super.c) ядра операционной системы Linux связана с использованием памяти после её освобождения. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, оказать воздействие на конфиденциальность, целостность и доступность защищаемой информации в результате монтирования созданного образа файловой системы ext4
Уязвимое ПО: Операционная система Novell Inc. SUSE Linux Enterprise Server 12 SP1 LTSS | Операционная система Novell Inc. SUSE Linux Enterprise Server 12 SP2 LTSS | Операционная система Novell Inc. SUSE Linux Enterprise Desktop 12 SP4 | Операционная система Novell Inc. SUSE Linux Enterprise High Performance Computing 12 | Операционная система Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 GA | Операционная система Novell Inc. SUSE Linux Enterprise Server 12 SP4 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP4 | Операционная система Novell Inc. SUSE Linux Enterprise Server 12 SP5 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP3 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP5 | Операционная система Linux 5.0.21 | Операционная система Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 SP1 | Операционная система Novell Inc. SUSE Linux Enterprise Module for Development Tools 15 GA | Операционная система Novell Inc. SUSE Linux Enterprise Module for Development Tools 15 SP1 | Операционная система Novell Inc. SUSE Linux Enterprise Server 12 SP3 LTSS |

Наименование ОС и тип аппаратной платформы: SUSE Linux Enterprise Server 12 SP1 LTSS | SUSE Linux Enterprise Server 12 SP2 LTSS | SUSE Linux Enterprise Desktop 12 SP4 | SUSE Linux Enterprise High Performance Computing 12 | SUSE Linux Enterprise Module for Basesystem 15 GA | SUSE Linux Enterprise Server 12 SP4 | SUSE Linux Enterprise Server for SAP Applications 12 SP4 | SUSE Linux Enterprise Server 12 SP5 | SUSE Linux Enterprise Server for SAP Applications 12 SP3 | SUSE Linux Enterprise Server for SAP Applications 12 SP5 | Linux 5021 | SUSE Linux Enterprise Module for Basesystem 15 SP1 | SUSE Linux Enterprise Module for Development Tools 15 GA | SUSE Linux Enterprise Module for Development Tools 15 SP1 | SUSE Linux Enterprise Server 12 SP3 LTSS |
Дата выявления: 28.12.2019.
CVSS 2.0: AV:N/AC:M/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)

Возможные меры по устранению:
Использование рекомендаций:

Обновление ядра Linux до более новой версии

Для SUSE Linux Enterprise:
https://www.suse.com/security/cve/CVE-2019-19447/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-19447.

Тип ошибки CWE: CWE-416
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2019-19447
https://github.com/bobfuzzer/CVE/tree/master/CVE-2019-19447
https://www.suse.com/security/cve/CVE-2019-19447/

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *